import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import WordPressLogoLight from './WordPressLogoLight';
import WordPressLogoDark from './WordPressLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const WordPressLogoSvg = forwardRef(function WordPressLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(WordPressLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(WordPressLogoLight, Object.assign({}, props, { ref: ref })));
});
export default WordPressLogoSvg;
